#include <sys/time.h>
#include <sys/resource.h>

#ifndef TIMER_H
#define TIMER_H

struct timer
{
   struct rusage usage_start;
   struct rusage usage_stop;

   long total_sec;
   long total_usec;
};

typedef struct timer timer;

#endif

timer *new_timer();
void free_timer(timer *Timer);

void timer_start(timer *Timer);
void timer_stop(timer *Timer);
void timer_reset(timer *Timer);

void compute_time(timer *Timer);
void print_time(timer *Timer);

